Browser plugins

Blockbuster Search plugin

This Blockbuster Search plugin is intended to work with Mozilla Firefox 2.0 and later, Microsoft Internet Explorer 7.0 and later and any other OpenSearch 1.1-compliant application.

Click here to install the Blockbuster search plugin

 

Movielink Search plugin

This Movielink Search plugin is also intended to work with Mozilla Firefox 2.0 and later, Microsoft Internet Explorer 7.0 and later and any other OpenSearch 1.1-compliant application.

Click here to install the Movielink search plugin

You can also install this plugin from mozdev.org. Please share your experience with others by completing the Judge it form there.

 

US Department of Homeland Security plugin

You can install this plugin from mozdev.org. Please share your experience with others by completing the Judge it form there.